package com.yeejoin.amos.file.dto;

import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


@ApiModel("文档的目录信息")
public class CatalogInfo {

    @ApiModelProperty("文档id")
    private String id;

    @ApiModelProperty("文档Id")
    private String documentId;

    @ApiModelProperty("文档名称")
    private String documentName;

    @ApiModelProperty("总页数")
    private Integer totalPage;

    @ApiModelProperty("目录信息")
    private List<ChildCatalog> childCatalogList = new ArrayList<>();


    public String getId() {
        return id;
    }

    public CatalogInfo setId(String id) {
        this.id = id;
        return this;
    }


    public String getDocumentId() {
		return documentId;
	}

	public void setDocumentId(String documentId) {
		this.documentId = documentId;
	}

	public String getDocumentName() {
		return documentName;
	}

	public void setDocumentName(String documentName) {
		this.documentName = documentName;
	}

	public Integer getTotalPage() {
        return totalPage;
    }

    public void setTotalPage(Integer totalPage) {
        this.totalPage = totalPage;
    }

    public List<ChildCatalog> getChildCatalogList() {
        return childCatalogList;
    }

    public void setChildCatalogList(List<ChildCatalog> childCatalogList) {
        this.childCatalogList = childCatalogList;
    }
}
